GET /api/v3/savings/adjustment/special/type

Retrieves the list of available special adjustment types (e.g., weather, production)

GetSpecialAdjustmentTypesV3 Permissions: Meters (View)
Use this endpoint to get the available categories for special adjustments that can be applied to meter baselines. Requires Meters View permission.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

SpecialAdjustmentType
Property Description Type
specialAdjustmentTypeCode Special Adjustment type code string
specialAdjustmentTypeId Special Adjustment type identifier integer (int32)
specialAdjustmentTypeInfo Special Adjustment type name string
Example Response application/json
[
  {    "specialAdjustmentTypeCode": "string",    "specialAdjustmentTypeId": 1,    "specialAdjustmentTypeInfo": "string"
  }
]